Verified Commit 810e90d7 authored by Pierre-Louis Bonicoli's avatar Pierre-Louis Bonicoli 🏗
Browse files

Use the workarounds for #531/#532 only when needed

Don't use these workaround with Debian Buster

https://github.com/grke/burp/pull/531
https://github.com/grke/burp/pull/532
parent 33ee862e
......@@ -95,18 +95,19 @@
- name: Fetch burp version
import_tasks: fetch_burp_version.yml
- name: 'Generate BURP server configuration'
vars:
- vars:
burp_server_version: '{{ burp_version.stdout.strip().split("-")[-1] }}'
template:
src: server.conf
dest: '/etc/burp/{{ burp.name }}/server.conf'
<<: *owner-file
notify: 'reload burp service'
- name: 'Workaround for #532 (fix not available in Debian Stretch)'
include: 'server_workaround_#532.yml'
when: ansible_os_family == 'Debian'
block:
- name: 'Generate BURP server configuration'
template:
src: server.conf
dest: '/etc/burp/{{ burp.name }}/server.conf'
<<: *owner-file
notify: 'reload burp service'
- name: 'Workaround for #532 (fix not available in Debian Stretch)'
include: 'server_workaround_#532.yml'
when: burp_server_version is version("2.1.2", "<")
- include_tasks: '{{ ansible_service_mgr }}/enable_burp.yml'
......
......@@ -51,4 +51,6 @@ backup_script_arg = {{ arg }}
# Paths are defined in server configuration
# workaround for #531 (Fixed in 2.1.2)
{% if burp_client_version is version("2.1.2", "<") %}
ca_csr_dir='/tmp'
{% endif %}
#jinja2: lstrip_blocks: "true"
# {{ ansible_managed }}
{% if ansible_os_family == 'Debian' %}
{% if burp_server_version is version("2.1.2", "<") %}
. ca_parameters
{% endif %}
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment